Skip to main content
GET
/
phone
/
numbers
cURL
curl --request GET \
  --url https://api.useanima.sh/v1/phone/numbers \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "phoneNumber": "<string>",
      "provider": "<unknown>",
      "providerId": "<string>",
      "capabilities": {
        "sms": false,
        "mms": false,
        "voice": false
      },
      "isPrimary": true,
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Query Parameters

agentId
required

Agent whose phone numbers to list

Pattern: ^[0-9a-z]+$

Response

200 - application/json

OK

List of phone numbers assigned to an agent

items
object[]
required

Array of phone identity records for the agent